using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;

namespace GGC
{
    public partial class Form1 : Form
    {
        private string[] row;
        public Form1()
        {
            InitializeComponent();
            this.gridGroupingControl1.DataSource = GetTable1();
            this.gridGroupingControl1.TableControl.PrepareViewStyleInfo += new Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventHandler(TableControl_PrepareViewStyleInfo);

            this.gridGroupingControl1.ShowGroupDropArea = true;
            
            this.gridGroupingControl1.GridGroupDropArea.Dock = DockStyle.Fill;
            this.gridGroupingControl1.GridGroupDropArea.Model.Properties.BackgroundColor = Color.Red;

            this.gridGroupingControl1.GridGroupDropArea.PrepareViewStyleInfo += new GridPrepareViewStyleInfoEventHandler(GridGroupDropArea_PrepareViewStyleInfo);
        }

 
			

//the handler
        private void GridGroupDropArea_PrepareViewStyleInfo(object sender, GridPrepareViewStyleInfoEventArgs e)
        {
            e.Style.Themed = false;
            e.Style.BackColor = Color.Red;
        }
        void TableControl_PrepareViewStyleInfo(object sender, Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventArgs e)
        {
            //if (e.RowIndex == 4 && e.ColIndex > 0  && e.Style.Text == "row0 col0")

            //    e.Style.BackColor = Color.Red;

            GridTableCellStyleInfo style = e.Style as GridTableCellStyleInfo;
            if (style != null && style.TableCellIdentity.Column != null)


            {
                Element el = style.TableCellIdentity.DisplayElement as Element;
                Record rec = el.GetRecord();
                if (rec != null)
                {

                    string colHeader = style.TableCellIdentity.Column.Name;
                    if (colHeader.Equals("BuySell"))
                    {
                        int iIndex = el.ParentTable.Records.IndexOf(rec) ;
                        if (iIndex >= 0 && row.Length > iIndex)
                        {
                            string buySellValue = (string)row[iIndex];// rec.GetValue("BuySell");
                            //string buySellValue = (string)rec.GetValue("BuySell");

                            if (buySellValue.Equals("Buy"))
                                e.Style.BackColor = Color.Red;// _buyBackColorDefault;
                            else if (buySellValue.Equals("Sell"))
                                e.Style.BackColor = Color.Pink;// _sellBackColorDefault;
                            else if (buySellValue.Equals("Call"))
                                e.Style.BackColor = Color.Blue;//_callBackColorDefault;
                        }
                    }
                }
            }

            

        }
        private DataTable GetTable1()
        {
            DataTable dt = new DataTable("MyTable");

            int nCols = 5;
            int nRows = 10;
            Random r = new Random();

            row = new string[10];
            dt.Columns.Add("BuySell");
            for (int i = 0; i < nCols; i++)
            {
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i)));
            }

            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                {
                    dr[j] = string.Format("row{0} col{1}", i, j);
                    if (j == 0)
                    {
                        if (i % 3 == 0)
                        {
                            dr[j] = string.Format("Buy");
                        }
                        else if (i % 3 == 1)
                        {
                            dr[j] = string.Format("Call");
                        }
                        else
                            dr[j] = string.Format("Sell");

                        row[i] = dr[j].ToString();
                    }
                }
                dt.Rows.Add(dr);
            }
            return dt;
        }
    }
}